Skip to main content

Customer Orders

Frequency:

Customer order data and changes are required to be sent in near real-time.

Expected data:

Customer order document to be created or updated.

Technical:

If a customer order does not exist in DSWMS, it will be created.

If a customer order already exists in DSWMS, the existing document will be updated with the new data.

An update is only possible until the start of the picking process on the DSWMS side for the respective customer order.


POST https://{url}/v1/orders/customer

Create or update a customer order.

Request Body

The request body is a JSON object containing customer order header fields and a details array with the order lines.

Customer order fields:

NameTypeRequiredDescription
idstringYesCO unique identifier in ERP
type_idintegerYesCO type: 1 - Regular (Stock), 2 - JIT
store_idstringYesStore unique identifier in ERP
split_group_idstringYesSplit group unique identifier in ERP
plant_idstringYesPlant unique identifier in ERP
requested_delivery_datestringYesDate and time when the order is planned to be delivered
detailsarrayYesArray of detail line objects for the customer order

Detail object (inside details array):

NameTypeRequiredDescription
line_numberintegerYesCO detail line number
article_idstringYesArticle unique identifier in ERP
quantitynumberYesCO detail ordered quantity
quantity_unit_type_idintegerYesCO detail ordered quantity unit type: 1 - base unit, 2 - warehouse unit, 3 - layer unit, 4 - pallet unit
purchase_order_idstringNoPurchase Order identifier, if the CO line has a reference to a particular Purchase Order

Request Example

{
"id": "3000437294",
"type_id": 1,
"store_id": "010239",
"split_group_id": "1015",
"plant_id": "102849",
"requested_delivery_date": "1604481362",
"details": [
{
"line_number": 100,
"article_id": "0001",
"quantity": 72,
"quantity_unit_type_id": 1
},
{
"line_number": 200,
"article_id": "0047",
"quantity": 40,
"quantity_unit_type_id": 2,
"purchase_order_id": "3000437294"
}
]
}

Response

200: OK — Success

{
"success": true,
"message": null
}

400: Bad Request — Error

{
"success": false,
"message": "Customer Order is already delivered"
}